Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055513 - Dead status icon in notification area (after successful print job)
Summary: Dead status icon in notification area (after successful print job)
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 20
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-20 13:04 UTC by Alois Mahdal
Modified: 2015-06-29 14:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:36:20 UTC


Attachments (Terms of Use)
dead icon, "red circle" status (deleted)
2014-01-20 13:04 UTC, Alois Mahdal
no flags Details
troubleshoot file obtained with system-config-printer (deleted)
2014-02-14 16:54 UTC, Sébastien Wilmet
no flags Details

Description Alois Mahdal 2014-01-20 13:04:48 UTC
Created attachment 852724 [details]
dead icon, "red circle" status

Description of problem:

Printer applet icon is "dead" in Xfce notification area after
(successful) printing.  It shows "red circle" status, and silently
fails to respond to any interaction.


Version-Release number of selected component (if applicable):

system-config-printer-1.4.3-2.fc20.x86_64
xfce4-panel-4.10.1-3.fc20.x86_64


How reproducible:

always under my settings


Steps to Reproduce:

 0. Have Xfce 4.10 on a Fedora 20 machine and a single 
    printer connected via IPP, and a "Notification Area" applet active
    in one of panels
 1. Print a page


Actual results:

Icon persists in the area showing "red circle" status, not responding
to right/left clicking and shows no tool-tip.


Expected results:

Icon should show progress while it's relevant and then disappear.


Additional info:

*   Opening system-config-printer reveals no problems with the printer:
    printer status is OK, all Properties pages can be accessed and Queue
    is empty.

*   Also icon is not added to list of known icons in "Notification area",
    which could mean that there hasn't been a valid registration.
    (This list can be seen in the applet settings, which can be safely
    accessed via third tab of relevant panel properties.)

Comment 1 Jiri Popelka 2014-01-20 14:42:17 UTC
Can you attach an output from printing troubleshooter [1], so we have some idea what's going on ?

But I think I've seen the same problem with some of our company's printers when using IPP. Tim diagnosed that as "an instance where the IPP support in the printer is not particularly good".

Adding [2] 'waitjob=false' or (can't remember now) 'waitprinter=false' helped in my case.

Could you also configure the printer queue to use AppSocket/JetDirect instead of IPP and let me know if it changes something ?

[1] https://fedoraproject.org/wiki/How_to_debug_printing_problems#Printing_troubleshooter
[2] http://www.cups.org/documentation.php/doc-1.7/network.html#IPP

Comment 2 Alois Mahdal 2014-01-20 18:40:12 UTC
(In reply to Jiri Popelka from comment #1)
> Can you attach an output from printing troubleshooter [1], so we have some
> idea what's going on ?

Sorry but the printer seems to hang the troubleshooter for unknown reason.  (If I address that, I'll do so in another bug.)


> Could you also configure the printer queue to use AppSocket/JetDirect
> instead of IPP and let me know if it changes something ?

I tried this and well. the printer did not work (apparently due to wrong
settings) but job status ("not connected") eventually got to the notification
area (as normal printer con, i.e. no red circle) and behaved *the same* as before: no tooltip, no response to clicking.

~

So there seem to be at least two problems:

*   IPP throwing unnecessary red statuses even during an OK job,

*   and some (at least two) queue icons behaving incorrectly regarding
    notification area (e.g. leaving debris?)

Comment 3 Sébastien Wilmet 2014-02-14 16:33:03 UTC
I have a similar problem with Fedora 19 on Xfce. When the printer applet shows a notification, the applet becomes unresponsive (but the icon doesn't have the dead status/red circle).

Here is the output when launching the applet in a terminal:
$ /usr/bin/python /usr/share/system-config-printer/applet.py
^CException AttributeError: "'NoneType' object has no attribute 'source_remove'" in <bound method RunLoop.__del__ of <__main__.RunLoop instance at 0x27c5e18>> ignored

When the applet becomes unresponsive, there is no error messages. So I've killed the process with Ctrl+C. After pressing Ctrl+C, there was an exception error as you can see.

I will read the wiki page for more troubleshooting.

Comment 4 Sébastien Wilmet 2014-02-14 16:54:51 UTC
Created attachment 863343 [details]
troubleshoot file obtained with system-config-printer

Comment 5 Fedora End Of Life 2015-05-29 10:35:29 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-06-29 14:36:20 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.